%plot le diagramme T-S pour des eaux de surface vers 19°C
%Donne la regression linéaire sur les premiers niveaux de surface

f=netcdf('../data_in/file_rest/GYRE_00000400_restart.nc');

T=f{'tb'}(:,:,:);
S=f{'sb'}(:,:,:);

close(f);

%Prends la température de surface entre 18 et 28°
[I,J]=find(squeeze(T(1,:,:))>18 & squeeze(T(1,:,:))<20);


cmap=jet(length(I));
Ssurf=nan*ones(5,length(I));
Tsurf=nan*ones(5,length(I));
for i=1:length(I)


%  plot(squeeze(S(1:5,I(i),J(i))),squeeze(T(1:5,I(i),J(i))),'+')
  %  plot(squeeze(S(10:15,I(i),J(i))),squeeze(T(10:15,I(i),J(i))),'-','Color',cmap(i,:))
  Ssurf(:,i)=squeeze(S(1:5,I(i),J(i)));
  Tsurf(:,i)=squeeze(T(1:5,I(i),J(i)));
  hold on
  %    disp(int2str(i))
end
Ssurf=Ssurf(:);
Tsurf=Tsurf(:);
figure(1)
clf
plot(Ssurf,Tsurf,'+');

P=polyfit(Ssurf,Tsurf,1);

Sref=[36.6 36.78];
Tref=Sref*P(1)+P(2);

hold on
plot(Sref,Tref,'-');

title(['dT/dS=' ,num2str(P(1))]);

Ssub=nan*ones(5,length(I));
Tsub=nan*ones(5,length(I));

for i=1:length(I)


%  plot(squeeze(S(1:5,I(i),J(i))),squeeze(T(1:5,I(i),J(i))),'+')
  %  plot(squeeze(S(10:15,I(i),J(i))),squeeze(T(10:15,I(i),J(i))),'-','Color',cmap(i,:))
  Ssub(:,i)=squeeze(S(13:17,I(i),J(i)));
  Tsub(:,i)=squeeze(T(13:17,I(i),J(i)));
  hold on
  %    disp(int2str(i))
end