function [datay]=mat2yao(data)
%[datay]=mat2yao(data)
%de base : datay(n)=[i j data(i,j)]

if ndims(data)==2
lignes=repmat([1:size(data,1)]',1,size(data,2));
colonnes=repmat([1:size(data,2)],size(data,1),1);
datay=nan*ones(numel(data),3);
datay(:,1)=reshape(lignes',[],1);
datay(:,2)=reshape(colonnes',[],1);
datay(:,3)=reshape(data',[],1);
end

if ndims(data)==1
  datay=nan*ones(length(data),2);
  datay(:,1)=[1:length(data)]';
  datay(:,2)=data;
end

if ndims(data)==3
nl=size(data,1);
nc=size(data,2);
nz=size(data,3);
datay=nan*ones(numel(data),4);

curs=1;

for i=1:nl
    for j=1:nc
        for k=1:nz
            datay(curs,:)=[i j k data(i,j,k)];
            curs=curs+1;
        end %for k
    end %for j;
end %for i
    
end
