/***************************************************************************
                 module classe solsor_flag.h  -  description
***************************************************************************/
// Julien Brajard
// locean-ipsl.upmc, Paris, April 25, 2011
//===========================================================================
//                          methode forward
forward (YREAL x1, YREAL x2, YREAL x3, YREAL x4)
{
  /*  	1	from	solsor_gx2_x_r		2  i 	j    k	  t
     	2	from	solsor_flag		2  NX 	NY    k-1  t
	3	from	solsor_flag		1  i-1 	NY    k  t
	4	from	solsor_flag		1  i 	j-1  k  t
	} 
	output 1 : resmax
	oupput 2 : flag (0 -> continue; 1 -> stop)
	
  */
  
  //jn (current iteration) = Yk
 
  if ( (Yk<=nmin) | (Yt==TU))
    {
      YS1=0;
      YS2=0;
    }
  else {
    if (x2 == 1) {
      YS1=0; //plus besoin d'avoir la valeur du max
      YS2=1;
    }
    else {
      if ((Yk-nmin)%nmod != 0) {
	YS1=0;
	YS2=0;
      }
      else {
	if ( (Yi==0) & (Yj==0) ) { 
	  YS1=x1;
	}
	else {
	  if (Yj==0) YS1= ((x3<x1) ? x1 : x3) ; //max(x1,x3)
	  else YS1 = ((x4<x1) ? x1 : x4) ; // max(x1,x4)
	  if ( ( (Yi==NX-1) & (Yj ==NY-1) ) & (YS1< resmax)) 
	    {
	      YS2=1;
	      // printf("FOR=======tniter(%d)=%d\n",Yt,Yk);
	    } //moment de tester le maximum       
	  else YS2=0;
	  
	} // Yi>0 || Yj>0
      } //((Yk-nmin)%nmod == 0)
}  //x2==0
    // printf("%d\t%d\t%d\t%e\t%e\t%e\t%e\t\n",Yk,Yj,Yi,x1,x2,x3,x4); 
    //	if (Yt==TU+2) printf("%d\t%d\t%d\t%e\t%d\n",Yk,Yj,Yi,YS1,(int)YS2); 
    
  } //Yk>kmin
}
//===========================================================================
//                          methode backward

backward (YREAL x1, YREAL x2, YREAL x3, YREAL x4)
{
 }
