
/***************************************************************************
                 module classe ua_dyn_hpg_zco.h  -  description
***************************************************************************/
// Mohamed Berrada
// locean-ipsl.upmc, Paris, April 17, 2009
//===========================================================================
//                          methode forward
forward (YREAL x1,YREAL x2)
{ /*	1	from	ua_dyn_ldf_lap		1  i 	j    k    t
	2	from	zhpij_dyn_hpg_zco	1  i 	j    k    t*/
  /* YS1 ua*/
  /*     A 3.543246427050804e-08
	 R 3.489559978956720e-07*/
  /* YS1 va clonol*/
  /*     A 1.579814851804421e-04
	 R 1.270370352774595e-03*/

  /* if (Yi==30 && Yj==1 && Yk==0 && Yt==16)
  {
      printf("ua_dyn_hpg_zco:Yk=%i,x1=%f,x2=%f\n",Yk,x1,x2);
      }  
  */
  if(Yt==TU)
    YS1=0.;
  else{
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk==NZ-1){
      YS1=x1;
    }
    else{
      YS1= x1+x2;
    }
  }
  //
}

//===========================================================================
//                         methode  backward

backward (YREAL x1,YREAL x2)
{
  YJ1I1=0.;     YJ1I2=0.; 
  if(Yt!=TU){  
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk==NZ-1){
      YJ1I1=1.;
    }
    else{
      YJ1I1=1.;
      YJ1I2=1.;
    }
  }
  //
  
}

//===========================================================================
//*********************  FIN DU MODULE ua_dyn_hpg_zco  **********************

